Bug 487224 - pdebuild script does not fail when plugin dependencies are not met
pdebuild script does not fail when plugin dependencies are not met
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 16:23 EST by Robert Marcano
Modified: 2010-05-05 17:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 17:52:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 311803 None None None Never

  None (edit)
Description Robert Marcano 2009-02-24 16:23:34 EST
The pdebuild script show dependencies errors, but exits without error, so the build process completes successfully (if no error happens later on the rpm build script)

take a look at:

http://kojipkgs.fedoraproject.org/packages/eclipse-subclipse/1.4.7/1.fc11/data/logs/noarch/build.log

I made a mistake missing one BuildRequires and the script shows errors:

[eclipse.buildScript] Some inter-plug-in dependencies have not been satisfied.
[eclipse.buildScript] Bundle org.tigris.subversion.clientadapter.svnkit:
[eclipse.buildScript] 	Missing required plug-in org.tmatesoft.svnkit_[1.2.0,1.3.0).
[eclipse.buildScript] Bundle org.tigris.subversion.subclipse.graph.test:
[eclipse.buildScript] 	Missing required plug-in org.tigris.subversion.subclipse.graph_0.0.0.
[eclipse.buildScript] Bundle org.tigris.subversion.subclipse.graph:
[eclipse.buildScript] 	Missing required plug-in org.eclipse.draw2d_3.2.0.
[eclipse.buildScript] 	Missing required plug-in org.eclipse.gef_3.2.0.

and later says

BUILD SUCCESSFUL
Comment 1 Andrew Overholt 2009-02-24 16:36:40 EST
This is a complicated issue.  The root of the problem in this case is that p2 is throwing errors but not giving a good reason.  This is:

200380: [planner] Improve detection of incompatible solution
https://bugs.eclipse.org/bugs/show_bug.cgi?id=200380

As for the script, I'm not sure there's much we can do as it's just a wrapper around calling PDE Build itself.
Comment 2 Bug Zapper 2009-06-09 07:37:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:02:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andrew Overholt 2010-05-05 17:52:18 EDT
The fix here is to use the p2 director in pdebuild.sh instead of shoving things in directly and hoping that the dropins reconciler picks them up.  I've filed a bug upstream:

311803: pdebuild.sh should use p2 director
https://bugs.eclipse.org/bugs/show_bug.cgi?id=311803

Note You need to log in before you can comment on or make changes to this bug.